'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@vue-storefront/core');
var gql = require('graphql-tag');
var apolloLinkHttp = require('apollo-link-http');
var apolloLink = require('apollo-link');
var apolloLinkError = require('apollo-link-error');
var fetch = require('isomorphic-fetch');
var ApolloClient = require('apollo-client');
var apolloCacheInmemory = require('apollo-cache-inmemory');
var Redis = require('redis-tag-cache');
var requestIp = require('request-ip');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var gql__default = /*#__PURE__*/_interopDefaultLegacy(gql);
var fetch__default = /*#__PURE__*/_interopDefaultLegacy(fetch);
var ApolloClient__default = /*#__PURE__*/_interopDefaultLegacy(ApolloClient);
var Redis__default = /*#__PURE__*/_interopDefaultLegacy(Redis);
var requestIp__default = /*#__PURE__*/_interopDefaultLegacy(requestIp);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

function __generator(thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var query$h = gql__default["default"](templateObject_1$1p || (templateObject_1$1p = __makeTemplateObject(["\nquery($slug: String, $id: Int) {\n  category(slug: $slug, id: $id) {\n      id\n      name\n      slug\n      childs {\n        id\n        name\n        slug\n        childs {\n          id\n          name\n          slug\n        }\n      }\n      parent {\n        id\n        name\n        slug\n        parent {\n          id\n          name\n          slug\n          childs {\n            id\n            name\n            slug\n            childs {\n              id\n              name\n              slug\n            }\n          }\n        }\n      }\n    }\n}\n"], ["\nquery($slug: String, $id: Int) {\n  category(slug: $slug, id: $id) {\n      id\n      name\n      slug\n      childs {\n        id\n        name\n        slug\n        childs {\n          id\n          name\n          slug\n        }\n      }\n      parent {\n        id\n        name\n        slug\n        parent {\n          id\n          name\n          slug\n          childs {\n            id\n            name\n            slug\n            childs {\n              id\n              name\n              slug\n            }\n          }\n        }\n      }\n    }\n}\n"])));
var templateObject_1$1p;

var orderFragment = "\norder {\n  id\n  name\n  amountTotal\n  amountTax\n  amountDelivery\n  dateOrder\n  orderUrl\n  stage\n  websiteOrderLine {\n    id\n    name\n    product {\n      id\n      name\n      image\n      imageFilename\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  orderLines {\n    id\n    name\n    product {\n      id\n      name\n      image\n      imageFilename\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  partnerInvoice {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state {\n      id\n    }\n  }\n  partnerShipping {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state { \n      id\n    }\n  }\n  shippingMethod{\n    id\n    name\n    price\n  }\n}\n";

var partnerFragment = "\npartner{\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n";

var productFragment = "\n  id\n  firstVariant\n  smallImage\n  price\n  name\n  description\n  image\n  imageFilename\n  slug\n  sku\n  jsonLd\n  isInWishlist\n  categories {\n    id\n    name\n    slug\n    parent{\n      parent{\n        id\n      }\n    }\n  }\n  attributeValues {\n    id\n    name\n    displayType\n    priceExtra\n    attribute {\n      id\n      name\n    }\n    search\n  }\n";

var wishlistItemsFragment = "\nwishlistItems {\n    id\n    product {\n      id\n      name\n      description\n      image\n      price\n      imageFilename\n      isInWishlist\n      firstVariant\n      slug\n    }\n  }\n";

var randomIntegerBetween = (function (min, max) {
    return (Math.random() * (max - min + 1) | 0) + min;
});

function getCategory(context, params, customQuery, cacheKey) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function () {
        var redisClient, apolloClient, cachedCategory, _c, getCategory, response;
        return __generator(this, function (_d) {
            switch (_d.label) {
                case 0:
                    redisClient = context.client.redisTagClient;
                    apolloClient = context.client.apollo;
                    cachedCategory = null;
                    _c = cacheKey && redisClient;
                    if (!_c) return [3 /*break*/, 2];
                    return [4 /*yield*/, redisClient.get(cacheKey)];
                case 1:
                    _c = (cachedCategory = _d.sent());
                    _d.label = 2;
                case 2:
                    if (_c) {
                        return [2 /*return*/, cachedCategory];
                    }
                    getCategory = context.extendQuery(customQuery, { getCategory: { query: query$h, variables: params } }).getCategory;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$1o || (templateObject_1$1o = __makeTemplateObject(["", ""], ["", ""])), getCategory.query),
                            variables: getCategory.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 3:
                    response = _d.sent();
                    (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? true : delete _a.cookie;
                    if (cacheKey && redisClient && ((_b = response.data) === null || _b === void 0 ? void 0 : _b.category)) {
                        redisClient.set(cacheKey, response, ["API-C" + response.data.category.id], { timeout: process.env.REDIS_TTL_CACHE_MAXIMUM ? randomIntegerBetween(Number(process.env.REDIS_TTL_CACHE_MINIMUM), Number(process.env.REDIS_TTL_CACHE_MAXIMUM)) : 86400 });
                    }
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$1o;

var query$g = gql__default["default"](templateObject_1$1n || (templateObject_1$1n = __makeTemplateObject(["\n  query(\n    $search: String\n    $filter: CategoryFilterInput\n    $currentPage: Int\n    $pageSize: Int\n    $sort: CategorySortInput\n  ) {\n    categories(\n      search: $search\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      sort: $sort\n    ) {\n      categories {\n        id\n        name\n        slug\n        childs {\n          id\n          name\n          slug\n          childs {\n            id\n            name\n            slug\n          }\n        }\n        parent {\n          id\n          name\n          slug\n          parent {\n            id\n            name\n            slug\n            childs {\n              id\n              name\n              slug\n              childs {\n                id\n                name\n                slug\n              }\n            }\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query(\n    $search: String\n    $filter: CategoryFilterInput\n    $currentPage: Int\n    $pageSize: Int\n    $sort: CategorySortInput\n  ) {\n    categories(\n      search: $search\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      sort: $sort\n    ) {\n      categories {\n        id\n        name\n        slug\n        childs {\n          id\n          name\n          slug\n          childs {\n            id\n            name\n            slug\n          }\n        }\n        parent {\n          id\n          name\n          slug\n          parent {\n            id\n            name\n            slug\n            childs {\n              id\n              name\n              slug\n              childs {\n                id\n                name\n                slug\n              }\n            }\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$1n;

function getCategories(context, params, customQuery) {
    var _a, _b, _c;
    return __awaiter(this, void 0, void 0, function () {
        var redisClient, apolloClient, cacheKey, cachedCategories, _d, getCategories, response;
        return __generator(this, function (_e) {
            switch (_e.label) {
                case 0:
                    redisClient = context.client.redisTagClient;
                    apolloClient = context.client.apollo;
                    cacheKey = 'API-C-ALL-CATEGORIES';
                    cachedCategories = null;
                    _d = redisClient;
                    if (!_d) return [3 /*break*/, 2];
                    return [4 /*yield*/, redisClient.get(cacheKey)];
                case 1:
                    _d = (cachedCategories = _e.sent());
                    _e.label = 2;
                case 2:
                    if (_d) {
                        return [2 /*return*/, cachedCategories];
                    }
                    getCategories = context.extendQuery(customQuery, { getCategories: { query: query$g, variables: params } }).getCategories;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$1m || (templateObject_1$1m = __makeTemplateObject(["", ""], ["", ""])), getCategories.query),
                            variables: getCategories.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 3:
                    response = _e.sent();
                    (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? true : delete _a.cookie;
                    if (redisClient && ((_c = (_b = response.data) === null || _b === void 0 ? void 0 : _b.categories) === null || _c === void 0 ? void 0 : _c.categories)) {
                        redisClient.set(cacheKey, response, [cacheKey], { timeout: process.env.REDIS_TTL_CACHE_MAXIMUM ? randomIntegerBetween(Number(process.env.REDIS_TTL_CACHE_MINIMUM), Number(process.env.REDIS_TTL_CACHE_MAXIMUM)) : 86400 });
                    }
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$1m;

var query$f = gql__default["default"](templateObject_1$1l || (templateObject_1$1l = __makeTemplateObject(["\n  query(\n    $filter: ProductFilterInput\n    $currentPage: Int\n    $pageSize: Int = 0\n    $search: String\n    $sort: ProductSortInput\n  ) {\n    products(\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      search: $search\n      sort: $sort\n    ) {\n      totalCount\n      attributeValues {\n        id\n        name\n        displayType\n        name\n        htmlColor\n        search\n        attribute{\n          id\n          name\n        }\n        \n      }\n      products {\n        ", "\n      }\n    }\n  }\n"], ["\n  query(\n    $filter: ProductFilterInput\n    $currentPage: Int\n    $pageSize: Int = 0\n    $search: String\n    $sort: ProductSortInput\n  ) {\n    products(\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      search: $search\n      sort: $sort\n    ) {\n      totalCount\n      attributeValues {\n        id\n        name\n        displayType\n        name\n        htmlColor\n        search\n        attribute{\n          id\n          name\n        }\n        \n      }\n      products {\n        ", "\n      }\n    }\n  }\n"])), productFragment);
var templateObject_1$1l;

function getProductTemplatesList(context, params, customQuery, cacheKey, categoryIdForCache) {
    var _a, _b, _c, _d, _e, _f;
    return __awaiter(this, void 0, void 0, function () {
        var redisClient, apolloClient, cachedProducts, _g, getProductTemplatesList, response;
        return __generator(this, function (_h) {
            switch (_h.label) {
                case 0:
                    redisClient = context.client.redisTagClient;
                    apolloClient = context.client.apollo;
                    cachedProducts = null;
                    _g = cacheKey && redisClient;
                    if (!_g) return [3 /*break*/, 2];
                    return [4 /*yield*/, redisClient.get(cacheKey)];
                case 1:
                    _g = (cachedProducts = _h.sent());
                    _h.label = 2;
                case 2:
                    if (_g) {
                        return [2 /*return*/, cachedProducts];
                    }
                    getProductTemplatesList = context.extendQuery(customQuery, { getProductTemplatesList: { query: query$f, variables: params } }).getProductTemplatesList;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$1k || (templateObject_1$1k = __makeTemplateObject(["", ""], ["", ""])), getProductTemplatesList.query),
                            variables: getProductTemplatesList.variables,
                            errorPolicy: 'all'
                        })];
                case 3:
                    response = _h.sent();
                    (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? true : delete _a.cookie;
                    if (cacheKey &&
                        redisClient &&
                        ((_c = (_b = response.data) === null || _b === void 0 ? void 0 : _b.products) === null || _c === void 0 ? void 0 : _c.products) &&
                        ((_f = (_e = (_d = response.data) === null || _d === void 0 ? void 0 : _d.products) === null || _e === void 0 ? void 0 : _e.products) === null || _f === void 0 ? void 0 : _f.length) > 0 &&
                        categoryIdForCache) {
                        redisClient.set(cacheKey, response, ["API-C" + categoryIdForCache + "-products"], { timeout: process.env.REDIS_TTL_CACHE_MAXIMUM ? randomIntegerBetween(Number(process.env.REDIS_TTL_CACHE_MINIMUM), Number(process.env.REDIS_TTL_CACHE_MAXIMUM)) : 86400 });
                    }
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$1k;

var query$e = gql__default["default"](templateObject_1$1j || (templateObject_1$1j = __makeTemplateObject(["\n  query ($id: Int){\n    product (id: $id){\n      ", "\n    }\n  }\n"], ["\n  query ($id: Int){\n    product (id: $id){\n      ", "\n    }\n  }\n"])), productFragment);
var templateObject_1$1j;

function getProductTemplate(context, params, customQuery, cacheKey) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function () {
        var redisClient, apolloClient, cachedProduct, _c, getProductTemplate, response;
        return __generator(this, function (_d) {
            switch (_d.label) {
                case 0:
                    redisClient = context.client.redisTagClient;
                    apolloClient = context.client.apollo;
                    cachedProduct = null;
                    _c = cacheKey && redisClient;
                    if (!_c) return [3 /*break*/, 2];
                    return [4 /*yield*/, redisClient.get(cacheKey)];
                case 1:
                    _c = (cachedProduct = _d.sent());
                    _d.label = 2;
                case 2:
                    if (_c) {
                        return [2 /*return*/, cachedProduct];
                    }
                    getProductTemplate = context.extendQuery(customQuery, { getProductTemplate: { query: query$e, variables: params } }).getProductTemplate;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$1i || (templateObject_1$1i = __makeTemplateObject(["", ""], ["", ""])), getProductTemplate.query),
                            variables: getProductTemplate.variables,
                            errorPolicy: 'all'
                        })];
                case 3:
                    response = _d.sent();
                    (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? true : delete _a.cookie;
                    if (cacheKey && redisClient && ((_b = response.data) === null || _b === void 0 ? void 0 : _b.product)) {
                        redisClient.set(cacheKey, response, ["API-P" + response.data.product.id], { timeout: process.env.REDIS_TTL_CACHE_MAXIMUM ? randomIntegerBetween(Number(process.env.REDIS_TTL_CACHE_MINIMUM), Number(process.env.REDIS_TTL_CACHE_MAXIMUM)) : 86400 });
                    }
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$1i;

var query$d = gql__default["default"](templateObject_1$1h || (templateObject_1$1h = __makeTemplateObject(["\n  query($productTemplateId: Int, $combinationId: [Int]) {\n    productVariant(\n      productTemplateId: $productTemplateId\n      combinationId: $combinationId\n    ) {\n      product {\n        id\n        image\n        variantPrice\n        variantPriceAfterDiscount\n        variantHasDiscountedPrice\n      }\n      productTemplateId\n      displayName\n      price\n      listPrice\n      hasDiscountedPrice\n    }\n  }\n"], ["\n  query($productTemplateId: Int, $combinationId: [Int]) {\n    productVariant(\n      productTemplateId: $productTemplateId\n      combinationId: $combinationId\n    ) {\n      product {\n        id\n        image\n        variantPrice\n        variantPriceAfterDiscount\n        variantHasDiscountedPrice\n      }\n      productTemplateId\n      displayName\n      price\n      listPrice\n      hasDiscountedPrice\n    }\n  }\n"])));
var templateObject_1$1h;

function getRealProduct(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getRealProduct, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getRealProduct = context.extendQuery(customQuery, { getRealProduct: { query: query$d, variables: params } }).getRealProduct;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$1g || (templateObject_1$1g = __makeTemplateObject(["", ""], ["", ""])), getRealProduct.query),
                            variables: getRealProduct.variables,
                            fetchPolicy: 'no-cache',
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$1g;

var mutation$t = gql__default["default"](templateObject_1$1f || (templateObject_1$1f = __makeTemplateObject(["\n  mutation($id: Int!, $name: String, $email: String){\n    updateMyAccount(myaccount:{id:$id, name: $name, email: $email}){\n      id\n      name\n      street\n      street2\n      city\n      state\n      {\n        id\n      }\n      country\n      {\n        id\n      }\n      email\n      phone\n      } \n  }\n"], ["\n  mutation($id: Int!, $name: String, $email: String){\n    updateMyAccount(myaccount:{id:$id, name: $name, email: $email}){\n      id\n      name\n      street\n      street2\n      city\n      state\n      {\n        id\n      }\n      country\n      {\n        id\n      }\n      email\n      phone\n      } \n  }\n"])));
var templateObject_1$1f;

function updateAccount(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, updateAccount, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    updateAccount = context.extendQuery(customQuery, { updateAccount: { mutation: mutation$t, variables: params } }).updateAccount;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$1e || (templateObject_1$1e = __makeTemplateObject(["", ""], ["", ""])), updateAccount.mutation),
                            variables: updateAccount.variables,
                            fetchPolicy: 'no-cache',
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$1e;

var mutation$s = gql__default["default"](templateObject_1$1d || (templateObject_1$1d = __makeTemplateObject(["\n  mutation register($name: String!, $email: String!, $password: String!) {\n    register(name: $name, email: $email, password: $password) {\n      ", "\n    }\n  }\n"], ["\n  mutation register($name: String!, $email: String!, $password: String!) {\n    register(name: $name, email: $email, password: $password) {\n      ", "\n    }\n  }\n"])), partnerFragment);
var templateObject_1$1d;

function signUpUser(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, signUpUser;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    signUpUser = context.extendQuery(customQuery, { signUpUser: { mutation: mutation$s, variables: params } }).signUpUser;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$1c || (templateObject_1$1c = __makeTemplateObject(["", ""], ["", ""])), signUpUser.mutation),
                            variables: signUpUser.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$1c;

var mutation$r = gql__default["default"](templateObject_1$1b || (templateObject_1$1b = __makeTemplateObject(["\n  mutation($email: String!, $password: String!) {\n    login(email: $email, password: $password) {\n      ", "\n    }\n  }\n"], ["\n  mutation($email: String!, $password: String!) {\n    login(email: $email, password: $password) {\n      ", "\n    }\n  }\n"])), partnerFragment);
var templateObject_1$1b;

function logInUser(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, logInUser;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    logInUser = context.extendQuery(customQuery, { logInUser: { mutation: mutation$r, variables: params } }).logInUser;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$1a || (templateObject_1$1a = __makeTemplateObject(["", ""], ["", ""])), logInUser.mutation),
                            variables: logInUser.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$1a;

var mutation$q = gql__default["default"](templateObject_1$19 || (templateObject_1$19 = __makeTemplateObject(["\n  mutation {\n    logout\n  }\n"], ["\n  mutation {\n    logout\n  }\n"])));
var templateObject_1$19;

function logOutUser(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.mutate({
                            errorPolicy: 'all',
                            mutation: mutation$q
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$c = gql__default["default"](templateObject_1$18 || (templateObject_1$18 = __makeTemplateObject(["\n  query {\n    ", "\n  }\n"], ["\n  query {\n    ", "\n  }\n"])), partnerFragment);
var templateObject_1$18;

function loadUser(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, loadUser;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    loadUser = context.extendQuery(customQuery, { loadUser: { query: query$c } }).loadUser;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$17 || (templateObject_1$17 = __makeTemplateObject(["", ""], ["", ""])), loadUser.query),
                            variables: loadUser.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$17;

var mutation$p = gql__default["default"](templateObject_1$16 || (templateObject_1$16 = __makeTemplateObject(["\n  mutation($email: String!) {\n    resetPassword(email: $email) {\n      id\n      name\n      email\n    }\n  }\n"], ["\n  mutation($email: String!) {\n    resetPassword(email: $email) {\n      id\n      name\n      email\n    }\n  }\n"])));
var templateObject_1$16;

function sendResetPassword(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: mutation$p,
                            variables: params,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$o = gql__default["default"](templateObject_1$15 || (templateObject_1$15 = __makeTemplateObject(["\n  mutation($newPassword: String!, $token: String!) {\n    changePassword(newPassword: $newPassword, token: $token) {\n      id\n      name\n      email\n    }\n  }\n"], ["\n  mutation($newPassword: String!, $token: String!) {\n    changePassword(newPassword: $newPassword, token: $token) {\n      id\n      name\n      email\n    }\n  }\n"])));
var templateObject_1$15;

function changePassword(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, changePassword, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    changePassword = context.extendQuery(customQuery, { changePassword: { mutation: mutation$o, variables: params } }).changePassword;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$14 || (templateObject_1$14 = __makeTemplateObject(["", ""], ["", ""])), changePassword.mutation),
                            variables: changePassword.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$14;

var mutation$n = gql__default["default"](templateObject_1$13 || (templateObject_1$13 = __makeTemplateObject(["\n  mutation($products: [ProductInput]!){\n    cartAddMultipleItems(products: $products){\n      ", "\n    }\n  }"], ["\n  mutation($products: [ProductInput]!){\n    cartAddMultipleItems(products: $products){\n      ", "\n    }\n  }"])), orderFragment);
var templateObject_1$13;

function cartAddMultipleItems(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartAddMultipleItems, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartAddMultipleItems = context.extendQuery(customQuery, { cartAddMultipleItems: { mutation: mutation$n, variables: params } }).cartAddMultipleItems;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$12 || (templateObject_1$12 = __makeTemplateObject(["", ""], ["", ""])), cartAddMultipleItems.mutation),
                            variables: cartAddMultipleItems.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$12;

var mutation$m = gql__default["default"](templateObject_1$11 || (templateObject_1$11 = __makeTemplateObject(["\n  mutation($lineIds: [Int]!){\n    cartRemoveMultipleItems(lineIds: $lineIds){\n      ", "\n    }\n  }"], ["\n  mutation($lineIds: [Int]!){\n    cartRemoveMultipleItems(lineIds: $lineIds){\n      ", "\n    }\n  }"])), orderFragment);
var templateObject_1$11;

function cartRemoveMultipleItems(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartRemoveMultipleItems, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartRemoveMultipleItems = context.extendQuery(customQuery, { cartRemoveMultipleItems: { mutation: mutation$m, variables: params } }).cartRemoveMultipleItems;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$10 || (templateObject_1$10 = __makeTemplateObject(["", ""], ["", ""])), cartRemoveMultipleItems.mutation),
                            variables: cartRemoveMultipleItems.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$10;

var query$b = gql__default["default"](templateObject_1$$ || (templateObject_1$$ = __makeTemplateObject(["\n  query {\n    cart {\n      ", "\n    }\n  }\n"], ["\n  query {\n    cart {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$$;

function cartLoad(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartLoad, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartLoad = context.extendQuery(customQuery, { cartLoad: { query: query$b, variables: {} } }).cartLoad;
                    return [4 /*yield*/, apolloClient.query({
                            fetchPolicy: 'no-cache',
                            query: gql__default["default"](templateObject_1$_ || (templateObject_1$_ = __makeTemplateObject(["", ""], ["", ""])), cartLoad.query),
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$_;

var mutation$l = gql__default["default"](templateObject_1$Z || (templateObject_1$Z = __makeTemplateObject(["\n  mutation($productId: Int!, $quantity: Int!) {\n    cartAddItem(productId: $productId, quantity: $quantity) {\n      ", "\n    }\n  }\n"], ["\n  mutation($productId: Int!, $quantity: Int!) {\n    cartAddItem(productId: $productId, quantity: $quantity) {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$Z;

function cartAddItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartAddItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartAddItem = context.extendQuery(customQuery, { cartAddItem: { mutation: mutation$l, variables: params } }).cartAddItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$Y || (templateObject_1$Y = __makeTemplateObject(["", ""], ["", ""])), cartAddItem.mutation),
                            variables: cartAddItem.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$Y;

var mutation$k = gql__default["default"](templateObject_1$X || (templateObject_1$X = __makeTemplateObject(["\n mutation($lineId: Int!){\n  cartRemoveItem(lineId: $lineId){\n    ", "\n  }\n}\n"], ["\n mutation($lineId: Int!){\n  cartRemoveItem(lineId: $lineId){\n    ", "\n  }\n}\n"])), orderFragment);
var templateObject_1$X;

function cartRemoveItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartRemoveItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartRemoveItem = context.extendQuery(customQuery, { cartRemoveItem: { mutation: mutation$k, variables: params } }).cartRemoveItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$W || (templateObject_1$W = __makeTemplateObject(["", ""], ["", ""])), cartRemoveItem.mutation),
                            variables: cartRemoveItem.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$W;

var mutation$j = gql__default["default"](templateObject_1$V || (templateObject_1$V = __makeTemplateObject(["\n  mutation($lineId: Int!, $quantity: Int!) {\n    cartUpdateItem(lineId: $lineId, quantity: $quantity) {\n      ", "\n    }\n  }\n"], ["\n  mutation($lineId: Int!, $quantity: Int!) {\n    cartUpdateItem(lineId: $lineId, quantity: $quantity) {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$V;

function cartUpdateItemQty(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartUpdateItemQty, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartUpdateItemQty = context.extendQuery(customQuery, { cartUpdateItemQty: { mutation: mutation$j, variables: params } }).cartUpdateItemQty;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$U || (templateObject_1$U = __makeTemplateObject(["", ""], ["", ""])), cartUpdateItemQty.mutation),
                            variables: cartUpdateItemQty.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$U;

var query$a = gql__default["default"](templateObject_1$T || (templateObject_1$T = __makeTemplateObject(["\n  query {\n    wishlistItems {\n      ", "\n    }\n  }\n"], ["\n  query {\n    wishlistItems {\n      ", "\n    }\n  }\n"])), wishlistItemsFragment);
var templateObject_1$T;

function wishlistLoad(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            fetchPolicy: 'no-cache',
                            query: query$a,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$i = gql__default["default"](templateObject_1$S || (templateObject_1$S = __makeTemplateObject(["\n  mutation($productId: Int!) {\n    wishlistAddItem(productId: $productId) {\n      ", "\n    }\n  }\n"], ["\n  mutation($productId: Int!) {\n    wishlistAddItem(productId: $productId) {\n      ", "\n    }\n  }\n"])), wishlistItemsFragment);
var templateObject_1$S;

function wishlistAddItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, wishlistAddItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    wishlistAddItem = context.extendQuery(customQuery, { wishlistAddItem: { mutation: mutation$i, variables: params } }).wishlistAddItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$R || (templateObject_1$R = __makeTemplateObject(["", ""], ["", ""])), wishlistAddItem.mutation),
                            variables: wishlistAddItem.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$R;

var mutation$h = gql__default["default"](templateObject_1$Q || (templateObject_1$Q = __makeTemplateObject(["\n  mutation($wishId: Int!){\n    wishlistRemoveItem(wishId: $wishId) {\n      ", "\n    }\n  }\n"], ["\n  mutation($wishId: Int!){\n    wishlistRemoveItem(wishId: $wishId) {\n      ", "\n    }\n  }\n"])), wishlistItemsFragment);
var templateObject_1$Q;

function wishlistRemoveItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, wishlistRemoveItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    wishlistRemoveItem = context.extendQuery(customQuery, { wishlistRemoveItem: { mutation: mutation$h, variables: params } }).wishlistRemoveItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$P || (templateObject_1$P = __makeTemplateObject(["", ""], ["", ""])), wishlistRemoveItem.mutation),
                            variables: wishlistRemoveItem.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$P;

var query$9 = gql__default["default"](templateObject_1$O || (templateObject_1$O = __makeTemplateObject(["\n  query {\n    countries(pageSize:250) {\n      countries {\n        id\n        name\n        code\n      }\n    }\n  }\n"], ["\n  query {\n    countries(pageSize:250) {\n      countries {\n        id\n        name\n        code\n      }\n    }\n  }\n"])));
var templateObject_1$O;

function getCountries(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$9,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$8 = gql__default["default"](templateObject_1$N || (templateObject_1$N = __makeTemplateObject(["\n  query($id: Int) {\n    country(id: $id) {\n      states {\n        id\n        name\n      }\n    }\n  }\n"], ["\n  query($id: Int) {\n    country(id: $id) {\n      states {\n        id\n        name\n      }\n    }\n  }\n"])));
var templateObject_1$N;

function getCountryStates(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$8,
                            variables: params,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$g = gql__default["default"](templateObject_1$M || (templateObject_1$M = __makeTemplateObject(["\nmutation($id: Int!, $type: AddressEnum!){\n  selectAddress(address:{ id: $id }, type: $type){\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation($id: Int!, $type: AddressEnum!){\n  selectAddress(address:{ id: $id }, type: $type){\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$M;

function setDefaultAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, setDefaultAddress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    setDefaultAddress = context.extendQuery(customQuery, { setDefaultAddress: { mutation: mutation$g, variables: params } }).setDefaultAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$L || (templateObject_1$L = __makeTemplateObject(["", ""], ["", ""])), setDefaultAddress.mutation),
                            variables: setDefaultAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$L;

var mutation$f = gql__default["default"](templateObject_1$K || (templateObject_1$K = __makeTemplateObject(["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Shipping, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    zip\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Shipping, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    zip\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$K;

function shippingAddAdress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, shippingAddAdress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    shippingAddAdress = context.extendQuery(customQuery, { shippingAddAdress: { mutation: mutation$f, variables: params } }).shippingAddAdress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$J || (templateObject_1$J = __makeTemplateObject(["", ""], ["", ""])), shippingAddAdress.mutation),
                            variables: shippingAddAdress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$J;

var mutation$e = gql__default["default"](templateObject_1$I || (templateObject_1$I = __makeTemplateObject(["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    zip\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    zip\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$I;

function shippingUpdateAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, shippingUpdateAddress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    shippingUpdateAddress = context.extendQuery(customQuery, { shippingUpdateAddress: { mutation: mutation$e, variables: params } }).shippingUpdateAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$H || (templateObject_1$H = __makeTemplateObject(["", ""], ["", ""])), shippingUpdateAddress.mutation),
                            variables: shippingUpdateAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$H;

var query$7 = gql__default["default"](templateObject_1$G || (templateObject_1$G = __makeTemplateObject(["\n  query {\n    deliveryMethods {\n      id\n      name\n      price\n    }\n  }\n"], ["\n  query {\n    deliveryMethods {\n      id\n      name\n      price\n    }\n  }\n"])));
var templateObject_1$G;

function shippingGetDeliveryMethods(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$7,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$6 = gql__default["default"](templateObject_1$F || (templateObject_1$F = __makeTemplateObject(["\n  query {\n    addresses(filter: { addressType: Shipping }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"], ["\n  query {\n    addresses(filter: { addressType: Shipping }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"])));
var templateObject_1$F;

function getAddresses(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getAddresses;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getAddresses = context.extendQuery(customQuery, { getAddresses: { query: query$6 } }).getAddresses;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$E || (templateObject_1$E = __makeTemplateObject(["", ""], ["", ""])), getAddresses.query),
                            errorPolicy: 'all'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$E;

var mutation$d = gql__default["default"](templateObject_1$D || (templateObject_1$D = __makeTemplateObject(["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Billing, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    zip\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Billing, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    zip\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$D;

function billingAddAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, billingAddAddress;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    billingAddAddress = context.extendQuery(customQuery, { billingAddAddress: { mutation: mutation$d, variables: params } }).billingAddAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$C || (templateObject_1$C = __makeTemplateObject(["", ""], ["", ""])), billingAddAddress.mutation),
                            variables: billingAddAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$C;

var mutation$c = gql__default["default"](templateObject_1$B || (templateObject_1$B = __makeTemplateObject(["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n    zip\n  }\n}"], ["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n    zip\n  }\n}"])));
var templateObject_1$B;

function billingUpdateAddress(context, billingAddressParams, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, billingAddress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    billingAddress = context.extendQuery(customQuery, { billingAddress: { mutation: mutation$c, variables: billingAddressParams } }).billingAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$A || (templateObject_1$A = __makeTemplateObject(["", ""], ["", ""])), billingAddress.mutation),
                            variables: billingAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$A;

var query$5 = gql__default["default"](templateObject_1$z || (templateObject_1$z = __makeTemplateObject(["\n  query {\n    addresses(filter: { addressType: Billing }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"], ["\n  query {\n    addresses(filter: { addressType: Billing }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"])));
var templateObject_1$z;

function billingGetAddress(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, billingGetAddress;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    billingGetAddress = context.extendQuery(customQuery, { billingGetAddress: { query: query$5 } }).billingGetAddress;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$y || (templateObject_1$y = __makeTemplateObject(["", ""], ["", ""])), billingGetAddress.query),
                            errorPolicy: 'all'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$y;

var mutation$b = gql__default["default"](templateObject_1$x || (templateObject_1$x = __makeTemplateObject(["\n  mutation($id: Int!) {\n    deleteAddress(address: { id: $id }){\n      result\n    }\n  }\n"], ["\n  mutation($id: Int!) {\n    deleteAddress(address: { id: $id }){\n      result\n    }\n  }\n"])));
var templateObject_1$x;

function deleteAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, deleteAddress;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    deleteAddress = context.extendQuery(customQuery, { deleteAddress: { mutation: mutation$b, variables: params } }).deleteAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$w || (templateObject_1$w = __makeTemplateObject(["", ""], ["", ""])), deleteAddress.mutation),
                            variables: deleteAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$w;

var query$4 = gql__default["default"](templateObject_1$v || (templateObject_1$v = __makeTemplateObject(["\n  query {\n    paymentAcquirers {\n      id\n      name\n      provider\n      paymentIcons {\n        id\n        name\n        image\n      }\n    }\n  }\n"], ["\n  query {\n    paymentAcquirers {\n      id\n      name\n      provider\n      paymentIcons {\n        id\n        name\n        image\n      }\n    }\n  }\n"])));
var templateObject_1$v;

function paymentLoadProviders(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, paymentLoadProviders, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    paymentLoadProviders = context.extendQuery(customQuery, { paymentLoadProviders: { query: query$4, variables: params } }).paymentLoadProviders;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$u || (templateObject_1$u = __makeTemplateObject(["", ""], ["", ""])), paymentLoadProviders.query),
                            variables: paymentLoadProviders.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$u;

var mutation$a = gql__default["default"](templateObject_1$t || (templateObject_1$t = __makeTemplateObject(["\n  mutation($paymentAcquireId: Int!){\n    makePayment(paymentAcquireId:$paymentAcquireId){\n      form\n    }\n  } \n"], ["\n  mutation($paymentAcquireId: Int!){\n    makePayment(paymentAcquireId:$paymentAcquireId){\n      form\n    }\n  } \n"])));
var templateObject_1$t;

function paymentMakeExternalMutation(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, paymentMakeExternalMutation, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    paymentMakeExternalMutation = context.extendQuery(customQuery, { paymentMakeExternalMutation: { mutation: mutation$a, variables: params } }).paymentMakeExternalMutation;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$s || (templateObject_1$s = __makeTemplateObject(["", ""], ["", ""])), paymentMakeExternalMutation.mutation),
                            variables: paymentMakeExternalMutation.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$s;

var query$3 = gql__default["default"](templateObject_1$r || (templateObject_1$r = __makeTemplateObject(["\n  query {\n    paymentConfirmation {\n      ", "\n    }\n  }\n"], ["\n  query {\n    paymentConfirmation {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$r;

function paymentConfirmation(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, paymentConfirmation, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    paymentConfirmation = context.extendQuery(customQuery, { paymentConfirmation: { query: query$3, variables: params } }).paymentConfirmation;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$q || (templateObject_1$q = __makeTemplateObject(["", ""], ["", ""])), paymentConfirmation.query),
                            variables: paymentConfirmation.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$q;

var mutation$9 = gql__default["default"](templateObject_1$p || (templateObject_1$p = __makeTemplateObject(["\n  mutation($email: String){\n    newsletterSubscribe(email: $email){\n      subscribed\n    }\n  }"], ["\n  mutation($email: String){\n    newsletterSubscribe(email: $email){\n      subscribed\n    }\n  }"])));
var templateObject_1$p;

function subscribeNewsLetter(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, subscribeNewsLetter, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    subscribeNewsLetter = context.extendQuery(customQuery, { subscribeNewsLetter: { mutation: mutation$9, variables: params } }).subscribeNewsLetter;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$o || (templateObject_1$o = __makeTemplateObject(["", ""], ["", ""])), subscribeNewsLetter.mutation),
                            variables: subscribeNewsLetter.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$o;

var mutation$8 = gql__default["default"](templateObject_1$n || (templateObject_1$n = __makeTemplateObject(["\nmutation($shippingMethodId: Int!){\n  setShippingMethod(shippingMethodId: $shippingMethodId){\n    \torder{\n        id\n        name\n        shippingMethod{\n          id\n          name\n          price\n        }\n      }\n  }\n}\n"], ["\nmutation($shippingMethodId: Int!){\n  setShippingMethod(shippingMethodId: $shippingMethodId){\n    \torder{\n        id\n        name\n        shippingMethod{\n          id\n          name\n          price\n        }\n      }\n  }\n}\n"])));
var templateObject_1$n;

function setShippingMethod(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, setShippingMethod, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    setShippingMethod = context.extendQuery(customQuery, { setShippingMethod: { mutation: mutation$8, variables: params } }).setShippingMethod;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$m || (templateObject_1$m = __makeTemplateObject(["", ""], ["", ""])), setShippingMethod.mutation),
                            variables: setShippingMethod.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$m;

var mutation$7 = gql__default["default"](templateObject_1$l || (templateObject_1$l = __makeTemplateObject(["\n  mutation($promo: String!){\n    applyCoupon(promo: $promo){\n      error\n    }\n  }"], ["\n  mutation($promo: String!){\n    applyCoupon(promo: $promo){\n      error\n    }\n  }"])));
var templateObject_1$l;

function applyCoupon(context, applyCouponParams, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, applyCoupon, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    applyCoupon = context.extendQuery(customQuery, { applyCoupon: { mutation: mutation$7, variables: applyCouponParams } }).applyCoupon;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$k || (templateObject_1$k = __makeTemplateObject(["", ""], ["", ""])), applyCoupon.mutation),
                            variables: applyCoupon.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$k;

var query$2 = gql__default["default"](templateObject_1$j || (templateObject_1$j = __makeTemplateObject(["\n  query {\n  orders {\n    orders {\n      id\n      name\n      dateOrder\n      stage\n      amountUntaxed\n      amountTax\n      amountTotal\n      amountDelivery\n      partnerInvoice {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      partnerShipping {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      orderLines {\n        id\n        name\n        priceUnit\n        quantity\n        product {\n          id\n          name\n          image\n          image\n          slug\n          displayName\n        }\n      }\n    }\n  }\n}\n\n"], ["\n  query {\n  orders {\n    orders {\n      id\n      name\n      dateOrder\n      stage\n      amountUntaxed\n      amountTax\n      amountTotal\n      amountDelivery\n      partnerInvoice {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      partnerShipping {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      orderLines {\n        id\n        name\n        priceUnit\n        quantity\n        product {\n          id\n          name\n          image\n          image\n          slug\n          displayName\n        }\n      }\n    }\n  }\n}\n\n"])));
var templateObject_1$j;

function ordersGet(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, ordersGet;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    ordersGet = context.extendQuery(customQuery, { ordersGet: { query: query$2, variables: params } }).ordersGet;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$i || (templateObject_1$i = __makeTemplateObject(["", ""], ["", ""])), ordersGet.query),
                            variables: ordersGet.variables,
                            fetchPolicy: 'no-cache',
                            errorPolicy: 'all'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$i;

var query$1 = gql__default["default"](templateObject_1$h || (templateObject_1$h = __makeTemplateObject(["\n  query {\n    mailingLists {\n        mailingLists {\n            id\n            name\n        }\n    }\n  }\n"], ["\n  query {\n    mailingLists {\n        mailingLists {\n            id\n            name\n        }\n    }\n  }\n"])));
var templateObject_1$h;

function getMailingLists(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getMailingLists, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getMailingLists = context.extendQuery(customQuery, { getMailingLists: { query: query$1, variables: params } }).getMailingLists;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$g || (templateObject_1$g = __makeTemplateObject(["", ""], ["", ""])), getMailingLists.query),
                            variables: getMailingLists.variables,
                            fetchPolicy: 'no-cache',
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$g;

var query = gql__default["default"](templateObject_1$f || (templateObject_1$f = __makeTemplateObject(["\n  query {\n    mailingContacts {\n      mailingContacts {\n        id\n        email\n        companyName\n        subscriptionList {\n          id\n          mailingList {\n            id\n            name\n          }\n          optOut\n        }\n      }\n    }\n  }\n\n"], ["\n  query {\n    mailingContacts {\n      mailingContacts {\n        id\n        email\n        companyName\n        subscriptionList {\n          id\n          mailingList {\n            id\n            name\n          }\n          optOut\n        }\n      }\n    }\n  }\n\n"])));
var templateObject_1$f;

function getMailingContacts(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getMailingContacts, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getMailingContacts = context.extendQuery(customQuery, { getMailingContacts: { query: query, variables: params } }).getMailingContacts;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$e || (templateObject_1$e = __makeTemplateObject(["", ""], ["", ""])), getMailingContacts.query),
                            variables: getMailingContacts.variables,
                            fetchPolicy: 'no-cache',
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$e;

var mutation$6 = gql__default["default"](templateObject_1$d || (templateObject_1$d = __makeTemplateObject(["\nmutation ($mailings: [MailingInput]!) {\n  userAddMultipleMailing(mailings: $mailings) {\n    id\n    name\n    email\n    companyName\n    subscriptionList {\n      id\n      optOut\n    }\n  }\n}\n\n"], ["\nmutation ($mailings: [MailingInput]!) {\n  userAddMultipleMailing(mailings: $mailings) {\n    id\n    name\n    email\n    companyName\n    subscriptionList {\n      id\n      optOut\n    }\n  }\n}\n\n"])));
var templateObject_1$d;

function addMultipleMailings(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, addMultipleMailings, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    addMultipleMailings = context.extendQuery(customQuery, { addMultipleMailings: { mutation: mutation$6, variables: params } }).addMultipleMailings;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$c || (templateObject_1$c = __makeTemplateObject(["", ""], ["", ""])), addMultipleMailings.mutation),
                            variables: addMultipleMailings.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$c;

var mutation$5 = gql__default["default"](templateObject_1$b || (templateObject_1$b = __makeTemplateObject(["\n  mutation($currentPassword: String!, $newPassword: String!){\n    updatePassword(currentPassword: $currentPassword, newPassword: $newPassword) {\n      id\n    }\n  }\n"], ["\n  mutation($currentPassword: String!, $newPassword: String!){\n    updatePassword(currentPassword: $currentPassword, newPassword: $newPassword) {\n      id\n    }\n  }\n"])));
var templateObject_1$b;

function updatePassword(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, updatePassword, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    updatePassword = context.extendQuery(customQuery, { updatePassword: { mutation: mutation$5, variables: params } }).updatePassword;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$a || (templateObject_1$a = __makeTemplateObject(["", ""], ["", ""])), updatePassword.mutation),
                            variables: updatePassword.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$a;

var mutation$4 = gql__default["default"](templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\n  mutation($acquirerId: Int!){\n    adyenAcquirerInfo(acquirerId: $acquirerId){\n      adyenAcquirerInfo\n    }\n  }\n"], ["\n  mutation($acquirerId: Int!){\n    adyenAcquirerInfo(acquirerId: $acquirerId){\n      adyenAcquirerInfo\n    }\n  }\n"])));
var templateObject_1$9;

function adyenAcquirerInfo(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, adyenAcquirerInfo, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    adyenAcquirerInfo = context.extendQuery(customQuery, { adyenAcquirerInfo: { mutation: mutation$4, variables: params } }).adyenAcquirerInfo;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["", ""], ["", ""])), adyenAcquirerInfo.mutation),
                            variables: adyenAcquirerInfo.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$8;

var mutation$3 = gql__default["default"](templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n  mutation ($acquirerId: Int!, $reference: String!, $token: String!, $browserInfo: GenericScalar!, $paymentMethod: GenericScalar!) {\n    adyenPayments(acquirerId: $acquirerId, transactionReference: $reference, accessToken: $token, browserInfo: $browserInfo, paymentMethod: $paymentMethod) {\n      adyenPayments\n    }\n  }\n"], ["\n  mutation ($acquirerId: Int!, $reference: String!, $token: String!, $browserInfo: GenericScalar!, $paymentMethod: GenericScalar!) {\n    adyenPayments(acquirerId: $acquirerId, transactionReference: $reference, accessToken: $token, browserInfo: $browserInfo, paymentMethod: $paymentMethod) {\n      adyenPayments\n    }\n  }\n"])));
var templateObject_1$7;

function adyenMakeDirectPayment(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, adyenMakeDirectPayment, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    adyenMakeDirectPayment = context.extendQuery(customQuery, { adyenMakeDirectPayment: { mutation: mutation$3, variables: params } }).adyenMakeDirectPayment;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["", ""], ["", ""])), adyenMakeDirectPayment.mutation),
                            variables: adyenMakeDirectPayment.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$6;

var mutation$2 = gql__default["default"](templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\n  mutation($acquirerId: Int!){\n    adyenTransaction(acquirerId: $acquirerId) {\n      transaction\n    }\n  }\n"], ["\n  mutation($acquirerId: Int!){\n    adyenTransaction(acquirerId: $acquirerId) {\n      transaction\n    }\n  }\n"])));
var templateObject_1$5;

function adyenOpenTransaction(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, adyenOpenTransaction, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    adyenOpenTransaction = context.extendQuery(customQuery, { adyenOpenTransaction: { mutation: mutation$2, variables: params } }).adyenOpenTransaction;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["", ""], ["", ""])), adyenOpenTransaction.mutation),
                            variables: adyenOpenTransaction.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$4;

var mutation$1 = gql__default["default"](templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n  mutation($acquirerId: Int!, $reference: String!, $details: GenericScalar!){\n    adyenPaymentDetails(acquirerId: $acquirerId, transactionReference: $reference, paymentDetails: $details){\n      adyenPaymentDetails\n    }\n  }\n"], ["\n  mutation($acquirerId: Int!, $reference: String!, $details: GenericScalar!){\n    adyenPaymentDetails(acquirerId: $acquirerId, transactionReference: $reference, paymentDetails: $details){\n      adyenPaymentDetails\n    }\n  }\n"])));
var templateObject_1$3;

function adyenPaymentDetails(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, adyenPaymentDetails, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    adyenPaymentDetails = context.extendQuery(customQuery, { adyenPaymentDetails: { mutation: mutation$1, variables: params } }).adyenPaymentDetails;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["", ""], ["", ""])), adyenPaymentDetails.mutation),
                            variables: adyenPaymentDetails.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$2;

var mutation = gql__default["default"](templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  mutation($acquirerId: Int!){\n    adyenPaymentMethods(acquirerId: $acquirerId){\n      adyenPaymentMethods\n    }\n  }\n"], ["\n  mutation($acquirerId: Int!){\n    adyenPaymentMethods(acquirerId: $acquirerId){\n      adyenPaymentMethods\n    }\n  }\n"])));
var templateObject_1$1;

function adyenPaymentMethods(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, adyenPaymentMethods, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    adyenPaymentMethods = context.extendQuery(customQuery, { adyenPaymentMethods: { mutation: mutation, variables: params } }).adyenPaymentMethods;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1 || (templateObject_1 = __makeTemplateObject(["", ""], ["", ""])), adyenPaymentMethods.mutation),
                            variables: adyenPaymentMethods.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1;

var api = /*#__PURE__*/Object.freeze({
    __proto__: null,
    getCategory: getCategory,
    getCategories: getCategories,
    getProductTemplatesList: getProductTemplatesList,
    getProductTemplate: getProductTemplate,
    getRealProduct: getRealProduct,
    updateAccount: updateAccount,
    signUpUser: signUpUser,
    logInUser: logInUser,
    logOutUser: logOutUser,
    loadUser: loadUser,
    sendResetPassword: sendResetPassword,
    changePassword: changePassword,
    cartAddMultipleItems: cartAddMultipleItems,
    cartRemoveMultipleItems: cartRemoveMultipleItems,
    cartLoad: cartLoad,
    cartAddItem: cartAddItem,
    cartRemoveItem: cartRemoveItem,
    cartUpdateItemQty: cartUpdateItemQty,
    wishlistLoad: wishlistLoad,
    wishlistAddItem: wishlistAddItem,
    wishlistRemoveItem: wishlistRemoveItem,
    getCountries: getCountries,
    getCountryStates: getCountryStates,
    setDefaultAddress: setDefaultAddress,
    shippingAddAdress: shippingAddAdress,
    shippingUpdateAddress: shippingUpdateAddress,
    shippingGetDeliveryMethods: shippingGetDeliveryMethods,
    shippingGetAddress: getAddresses,
    billingAddAddress: billingAddAddress,
    billingUpdateAddress: billingUpdateAddress,
    billingGetAddress: billingGetAddress,
    deleteAddress: deleteAddress,
    paymentLoadProviders: paymentLoadProviders,
    paymentMakeExternal: paymentMakeExternalMutation,
    paymentConfirmation: paymentConfirmation,
    subscribeNewsLetter: subscribeNewsLetter,
    setShippingMethod: setShippingMethod,
    applyCoupon: applyCoupon,
    ordersGet: ordersGet,
    getMailingLists: getMailingLists,
    getMailingContacts: getMailingContacts,
    addMultipleMailings: addMultipleMailings,
    updatePassword: updatePassword,
    adyenAcquirerInfo: adyenAcquirerInfo,
    adyenMakeDirectPayment: adyenMakeDirectPayment,
    adyenOpenTransaction: adyenOpenTransaction,
    adyenPaymentDetails: adyenPaymentDetails,
    adyenPaymentMethods: adyenPaymentMethods
});

function getGqlString(doc) {
    var _a;
    return doc.loc && ((_a = doc.loc.source.body) === null || _a === void 0 ? void 0 : _a.replaceAll('\n', ''));
}
var logBuilder = (function (_a) {
    var label = _a.label, message = _a.message, locations = _a.locations, path = _a.path, operation = _a.operation;
    var logger = process.winstonLog;
    var log = {
        label: label,
        message: message,
        path: path
    };
    if (locations) {
        log.location = locations === null || locations === void 0 ? void 0 : locations.map(function (item) { return "line: " + item.line + " | column: " + item.column; }).join(' ');
    }
    if (process.env.NODE_LOG_LEVEL === 'TRACE') {
        log.query = getGqlString(operation.query);
        log.variables = operation.variables;
    }
    logger.error(log);
});

// eslint-disable-next-line @typescript-eslint/no-unused-vars
var createOddoLink = function (settings) {
    var errorLink = apolloLinkError.onError(function (_a) {
        var graphQLErrors = _a.graphQLErrors, networkError = _a.networkError, operation = _a.operation;
        if (graphQLErrors) {
            graphQLErrors.map(function (error) { return logBuilder(__assign(__assign({ label: '[GRAPHQL ERROR]' }, error), { operation: operation })); });
        }
        if (networkError) {
            logBuilder({ label: '[NETWORK ERROR]', message: networkError });
        }
    });
    var afterwareLink = new apolloLink.ApolloLink(function (operation, forward) {
        return forward(operation).map(function (response) {
            var context = operation.getContext();
            var authHeader = context.response.headers.get('set-cookie');
            if (response.data) {
                response.data.cookie = authHeader;
            }
            return response;
        });
    });
    var httpLink = apolloLinkHttp.createHttpLink({
        uri: settings.graphqlBaseUrl,
        credentials: 'include',
        fetch: fetch__default["default"],
        fetchOptions: settings.fetchOptions,
        headers: {
            Cookie: settings.auth,
            'resquest-host': settings['resquest-host'],
            'REAL-IP': settings['real-ip']
        }
    });
    var apolloLink$1 = apolloLink.ApolloLink.from([
        errorLink,
        afterwareLink.concat(httpLink)
    ]);
    return {
        apolloLink: apolloLink$1
    };
};

var onCreate = function (settings) {
    var logger = process.winstonLog;
    if (!logger) {
        console.error('YOU MUST INSTALL AND CONFIGURE NUXT WINSTON MODULE FROM https://github.com/aaronransley/nuxt-winston-log');
        throw new Error('YOU MUST INSTALL AND CONFIGURE NUXT WINSTON MODULE FROM https://github.com/aaronransley/nuxt-winston-log');
    }
    var config = settings;
    var apolloLink = createOddoLink(config).apolloLink;
    var apolloClient = new ApolloClient__default["default"](__assign({ link: apolloLink, cache: new apolloCacheInmemory.InMemoryCache() }, settings));
    var redisTagClient = null;
    if (settings.redisClient) {
        var options = {
            host: process.env.REDIS_HOST,
            port: process.env.REDIS_PORT,
            password: process.env.REDIS_PASSWORD || null,
            db: process.env.REDIS_DATABASE || 0
        };
        if (process.superRedis) {
            redisTagClient = process.superRedis;
        }
        else {
            process.superRedis = new Redis__default["default"]({ redis: options });
            redisTagClient = process.superRedis;
        }
    }
    return {
        config: config,
        client: {
            redisTagClient: redisTagClient,
            apollo: apolloClient
        }
    };
};
var onCreate$1 = onCreate;

var cookieExtension = {
    name: 'cookieExtension',
    hooks: function (req, res) {
        return {
            beforeCreate: function (_a) {
                var configuration = _a.configuration;
                var clientIp = requestIp__default["default"].getClientIp(req);
                return __assign(__assign({}, configuration), { auth: req.headers.cookie, 'resquest-host': req.headers.host, 'real-ip': clientIp });
            },
            beforeCall: function (_a) {
                _a.configuration; _a.callName; var args = _a.args;
                return args;
            },
            afterCall: function (_a) {
                _a.configuration; _a.callName; var response = _a.response;
                if (response.data.cookie) {
                    res.setHeader('Set-cookie', response.data.cookie);
                }
                return response;
            }
        };
    }
};
var cookieExtension$1 = cookieExtension;

/* eslint-disable @typescript-eslint/no-unused-vars */
var createApiClient = core.apiClientFactory({
    onCreate: onCreate$1,
    api: api,
    extensions: [cookieExtension$1]
}).createApiClient;

exports.createApiClient = createApiClient;
//# sourceMappingURL=index.js.map
